
/*
 * CodeQuery
 * Copyright (C) 2013-2016 ruben2020 https://github.com/ruben2020/
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */


#ifndef SWVER_H_CQ
#define SWVER_H_CQ

#define CODEQUERY_SW_VERSION      "CodeQuery 0.18.0"
#define CODEQUERY_SW_VERSION_WEBSITE      "<p>"\
	CODEQUERY_SW_VERSION \
	"</p>"\
	"<p><a href=\"http://ruben2020.github.io/codequery/\">Official Website</a></p>"\
	"<p><a href=\"https://github.com/ruben2020/codequery\">GitHub Page</a></p>"

#define CODEQUERY_SW_LICENSE  \
"Copyright (C) 2013-2016 ruben2020 https://github.com/ruben2020/\n\n" \
"Website: https://github.com/ruben2020/codequery\n\n" \
"This program is free software: you can redistribute it and/or modify\n" \
"it under the terms of the GNU General Public License as published by\n" \
"the Free Software Foundation, either version 2 of the License, or\n" \
"(at your option) any later version.\n\n" \
"This program is distributed in the hope that it will be useful,\n" \
"but WITHOUT ANY WARRANTY; without even the implied warranty of\n" \
"MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n" \
"GNU General Public License for more details.\n\n" \
"You should have received a copy of the GNU General Public License\n" \
"along with this program.  If not, see <http://www.gnu.org/licenses/>\n\n"

#define CODEQUERY_SW_LICENSE_PARA  \
"Copyright (C) 2013-2016 ruben2020 https://github.com/ruben2020/\n\n" \
"Website: https://github.com/ruben2020/codequery\n\n" \
"This program is free software: you can redistribute it and/or modify " \
"it under the terms of the GNU General Public License as published by " \
"the Free Software Foundation, either version 2 of the License, or " \
"(at your option) any later version.\n\n" \
"This program is distributed in the hope that it will be useful, " \
"but WITHOUT ANY WARRANTY; without even the implied warranty of " \
"MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the " \
"GNU General Public License for more details.\n\n" \
"You should have received a copy of the GNU General Public License " \
"along with this program.  If not, see <http://www.gnu.org/licenses/>\n"

#define CODEQUERY_SW_LICENSE_PARA_LINK  \
"<p>Copyright (C) 2013-2016 <a href=\"https://github.com/ruben2020/\">ruben2020</a></p>\n\n" \
"<p>This program is free software: you can redistribute it and/or modify " \
"it under the terms of the GNU General Public License as published by " \
"the Free Software Foundation, either version 2 of the License, or " \
"(at your option) any later version.</p>\n\n" \
"<p>This program is distributed in the hope that it will be useful, " \
"but WITHOUT ANY WARRANTY; without even the implied warranty of " \
"MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the " \
"GNU General Public License for more details.</p>\n\n" \
"<p>You should have received a copy of the GNU General Public License " \
"along with this program.  If not, see <a href=\"http://www.gnu.org/licenses\">http://www.gnu.org/licenses</a></p>\n"


/**
 * \mainpage CodeQuery Documentation
 *
 * GitHub: https://github.com/ruben2020/codequery
 * 
 * Downloads: http://sourceforge.net/projects/codequery/files/
 * 
 * This is a tool to index, then query or search C, C++, Java, Python, Ruby, Go and Javascript source code.
 * It builds upon the databases of cscope and Exuberant ctags.
 * The databases of cscope and ctags would be processed by the cqmakedb tool to
 * generate the CodeQuery database file.
 * The CodeQuery database file can be viewed and queried using the codequery GUI tool.
 *
 * This contains only the Doxygen documentation of the source code.
 * For the rest, please see the Github page above.
 */

#endif // SWVER_H_CQ


